#pragma semicolon 1

#include <sourcemod>
#include <socket>

public Plugin:myinfo = 
{
	name	= "Detect Steam",
	author	= "wS (World-Source.Ru)",
	version = "1.2"
};

#define PROFILE_ID_SIZE 18

new bool:g_Socket[MAXPLAYERS + 1];
new bool:g_HaveSteam[MAXPLAYERS + 1];
new String:g_SteamID[MAXPLAYERS + 1][30];
new String:g_ProfileID[MAXPLAYERS + 1][PROFILE_ID_SIZE];
new Handle:g_HaveSteam_Trie;

#include "detect_steam/ProfileId.sp"
#include "detect_steam/Events.sp"
#include "detect_steam/steam_command.sp"

public OnPluginStart()
{
	g_HaveSteam_Trie = CreateTrie();
	RegConsoleCmd("steam", steam_command);
}