public Action:steam_command(client, args)
{
	if (0 < client <= MaxClients) wS_ShowMenu(client);
	return Plugin_Handled;
}

wS_ShowMenu(client, item = 0)
{
	new Handle:menu = CreateMenu(Menu_CallBack);
	SetMenuTitle(menu, "Detect SteaM\n \n");

	decl String:Text[65];
	for (new i = 1; i <= MaxClients; i++)
	{
		if (IsClientInGame(i) && !IsFakeClient(i))
		{
			Format(Text, 65, "%N (%s)", i, g_HaveSteam[i] ? "SteaM" : (g_Socket[i] ? "NoSteaM" : "Unknown"));
			if (g_HaveSteam[i]) AddMenuItem(menu, g_ProfileID[i], Text, ITEMDRAW_DEFAULT);
			else AddMenuItem(menu, "", Text, ITEMDRAW_DISABLED);
		}
	}

	DisplayMenuAtItem(menu, client, item, 0);
}

public Menu_CallBack(Handle:menu, MenuAction:action, client, item)
{
	if (action != MenuAction_Select)
		return;

	decl String:info[100];
	if (!GetMenuItem(menu, item, info, 100))
		return;

	Format(info, 100, "http://steamcommunity.com/profiles/%s", info);
	ShowMOTDPanel(client, "SteaM ProfiLe", info, MOTDPANEL_TYPE_URL);
	PrintToChat(client, "\x04%s", info);

	wS_ShowMenu(client, GetMenuSelectionPosition());
}